package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrOverhaulFilter;

/**
 * 检修项目-过滤器Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrOverhaulFilterMapper
{
    /**
     * 查询检修项目-过滤器
     *
     * @param id 检修项目-过滤器ID
     * @return 检修项目-过滤器
     */
    public TPssrOverhaulFilter selectTPssrOverhaulFilterById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询检修项目-过滤器列表
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 检修项目-过滤器集合
     */
    
    public List<TPssrOverhaulFilter> selectTPssrOverhaulFilterList(TPssrOverhaulFilter tPssrOverhaulFilter);

    /**
     * 新增检修项目-过滤器
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 结果
     */
    public int insertTPssrOverhaulFilter(TPssrOverhaulFilter tPssrOverhaulFilter);

    /**
     * 修改检修项目-过滤器
     *
     * @param tPssrOverhaulFilter 检修项目-过滤器
     * @return 结果
     */
    public int updateTPssrOverhaulFilter(TPssrOverhaulFilter tPssrOverhaulFilter);
    public int updateTPssrOverhaulFilterByIds(TPssrOverhaulFilter tPssrOverhaulFilter);


    public int updateAllBySubId(TPssrOverhaulFilter tPssrOverhaulFilter);

    /**
     * 删除检修项目-过滤器
     *
     * @param id 检修项目-过滤器ID
     * @return 结果
     */
    public int deleteTPssrOverhaulFilterById(Long id);

    /**
     * 批量删除检修项目-过滤器
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrOverhaulFilterByIds(Long[] ids);
}
